$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.169.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.169.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '8934B21331F46489C6BF9C72E56EFE3F486781CB9555FDC3DB5E3B2051240075'
  checksumType = 'sha256'
  checksum64 = '8934B21331F46489C6BF9C72E56EFE3F486781CB9555FDC3DB5E3B2051240075'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.169-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
